
From: Andrew Morton <akpm@osdl.org>

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 kernel/softlockup.c |    2 ++
 1 files changed, 2 insertions(+)

diff -puN kernel/softlockup.c~detect-soft-lockups-export-touch_softlockup_watchdog kernel/softlockup.c
--- devel/kernel/softlockup.c~detect-soft-lockups-export-touch_softlockup_watchdog	2005-07-26 18:47:10.000000000 -0700
+++ devel-akpm/kernel/softlockup.c	2005-07-26 19:05:30.000000000 -0700
@@ -13,6 +13,7 @@
 #include <linux/delay.h>
 #include <linux/kthread.h>
 #include <linux/notifier.h>
+#include <linux/module.h>
 
 static DEFINE_SPINLOCK(print_lock);
 
@@ -37,6 +38,7 @@ void touch_softlockup_watchdog(void)
 {
 	per_cpu(timestamp, raw_smp_processor_id()) = jiffies;
 }
+EXPORT_SYMBOL(touch_softlockup_watchdog);
 
 /*
  * This callback runs from the timer interrupt, and checks
_
